# Team CSU-CHINA 2023 Software Tool



## Description
Welcome to download the source code for the CSU-iGEM 2023 modeling team.
This source code package is divided into two sections:<br>
1: Model. This section implements the oscillation by running our ODE model with code.<br>
2: Model APP. This section visualizes our data so that readers can easily understand it. This section contains:<br>
 APP-1 Model band APP;<br>
 APP-2 Trend visualization APP；<br>
 APP-3 Visual Analytics APP.<br>

Model code and APP code have been debugged in the following environment:
	Operating system: Windows10
	Software: Matlab 2022A
	Configuration: R5 5600H+GTX1650

## Installation
APP-1 opens three.html

APP-2 Open any version of matlab (2021a + is better)，Make the current folder your working folder，Open the **TreModelFitApp.mlappinstall** installed APP，The installed apps can be found in the **matlab APP bar**

APP-3 Open index.html

## Usage
APP-1 opens three.html, selects the corresponding data from the data folder and loads it to display the corresponding 3D image

APP-2 When opened for the first time, the data in **data/data.mat** will be loaded, and then click solve to solve it. After solving, the curve and period of each parameter will be displayed,Modify the parameters on the left to adjust the parameters and solve again

APP-3 Open index.html enjoy the realistic animation of the cell

## Contributing
We are more than willing to share our source code to help them understand and develop our model. We want to contribute our source code to advance the construction of molecular biology and biochemical models to advance the development of human medicine for the health and well-being of all mankind.

## Authors<br>
Jubin Wu, Zeyang Liu, Xin Liao, Zihang Zheng.<br>
## Acknowledgement<br>
Here we would like to thank the members of our CSU-iGEM 2023 modeling team, Zihang Zheng, Jubin Wu, Zeyang Liu and Xin Liao for their hard work in the team.
We would like to thank Ye Liang for his patient guidance. And thank you very much for the mutual help of each group in the iGEM team, and thank you very much for the efforts of Yaru Wang, Xiaoying Liu, Sijia Wang, Shuaiqi Zhang, Zheng Yang and Yaohui Han for their participation in the construction and discussion of the model.
